ConsensusAlignmentOptions - SeqAn API Documentation

# Class ConsensusAlignmentOptions
Configuration for consensusAlignment

Defined in | <seqan/consensus.h>
Signature | `struct ConsensusAlignmentOptions;`

## Member Variable Overview

- `unsigned ConsensusAlignmentOptions::contigID`
  The id of the contig to compute the consensus for, defaults to `INVALID`.
- `unsigned ConsensusAlignmentOptions::INVALID`
  Static member variable with a marker for invalid contig ids.
- `unsigned ConsensusAlignmentOptions::posDelta`
  Positions are considered with an environment of `posDelta` (default is `30`).
- `bool ConsensusAlignmentOptions::runRealignment`
  Perform a realignment using standard parameters, depending on the sequence length (default is `true`).
- `bool ConsensusAlignmentOptions::useContigID`
  Whether or not to use the value of `contigID` (default is `true`).
- `bool ConsensusAlignmentOptions::usePositions`
  Whether or not to use positions of the in the alignedReadStore (default is `true`).

## Member Variables Detail

### `unsigned ConsensusAlignmentOptions::contigID`

The id of the contig to compute the consensus for, defaults to `INVALID`.

Set to `INVALID` for all.

### `unsigned ConsensusAlignmentOptions::INVALID`

Static member variable with a marker for invalid contig ids.

### `unsigned ConsensusAlignmentOptions::posDelta`

Positions are considered with an environment of `posDelta` (default is `30`).

When positions are not used then this value is ignored.

See consensusAlignment for more details.

### `bool ConsensusAlignmentOptions::runRealignment`

Perform a realignment using standard parameters, depending on the sequence length (default is `true`).

Defaults to `true`.

### `bool ConsensusAlignmentOptions::useContigID`

Whether or not to use the value of `contigID` (default is `true`).

When this variable is set to `false` then the value of `contigID` is ignored and treated as if it was `INVALID`.

### `bool ConsensusAlignmentOptions::usePositions`

Whether or not to use positions of the in the alignedReadStore (default is `true`).

When set to `false`, then the alignedReadStore will be cleared and filled with new entries, one for each read.

#### Dox Sources

    /*!
     * @class ConsensusAlignmentOptions
     *
     * @headerfile <seqan/consensus.h>
     *
     * @brief Configuration for @link consensusAlignment @endlink
     *
     * @signature struct ConsensusAlignmentOptions;
     *
     * @var unsigned ConsensusAlignmentOptions::INVALID;
     *
     * @brief Static member variable with a marker for invalid contig ids.
     *
     * @var unsigned ConsensusAlignmentOptions::contigID;
     *
     * @brief The id of the contig to compute the consensus for, defaults to
     *        <tt>INVALID</tt>.
     *
     * Set to <tt>INVALID</tt> for all.
     *
     * @var bool ConsensusAlignmentOptions::useContigID;
     *
     * @brief Whether or not to use the value of <tt>contigID</tt> (default is
     *        <tt>true</tt>).
     *
     * When this variable is set to <tt>false</tt> then the value of
     * <tt>contigID</tt> is ignored and treated as if it was <tt>INVALID</tt>.
     *
     * @var bool ConsensusAlignmentOptions::usePositions;
     *
     * @brief Whether or not to use positions of the in the @link
     *        FragmentStore::alignedReadStore @endlink (default is <tt>true</tt>).
     *
     * When set to <tt>false</tt>, then the @link FragmentStore::alignedReadStore
     * @endlink will be cleared and filled with new entries, one for each read.
     *
     * @var unsigned ConsensusAlignmentOptions::posDelta;
     *
     * @brief Positions are considered with an environment of <tt>posDelta</tt>
     *        (default is <tt>30</tt>).
     *
     * When positions are not used then this value is ignored.
     *
     * See @link consensusAlignment @endlink for more details.
     *
     * @var bool ConsensusAlignmentOptions::runRealignment;
     *
     * @brief Perform a realignment using standard parameters, depending on the
     *        sequence length (default is <tt>true</tt>).
     *
     * Defaults to <tt>true</tt>.
     */